Bug 868876 - Mangled characters in boot messages (errors in escape/color sequences?)
Mangled characters in boot messages (errors in escape/color sequences?)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
Unspecified Unspecified
unspecified Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 06:57 EDT by Volker Sobek
Modified: 2013-05-15 10:43 EDT (History)
17 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-15 09:18:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot of the problem (14.88 KB, image/png)
2012-10-22 06:57 EDT, Volker Sobek
no flags Details
boot.log (3.69 KB, text/plain)
2012-10-22 06:59 EDT, Volker Sobek
no flags Details

  None (edit)
Description Volker Sobek 2012-10-22 06:57:13 EDT
Created attachment 631401 [details]
Screenshot of the problem

Description of problem:
See attached screenshot

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Boot Fedora-18-Beta-TC6-x86_64-DVD.iso
2. Notice that where [ OK ] should appear in the boot messages some wrong text shows up instead
  
Actual results:
The boot messages have wrong characters in them

Expected results:
The messages should be readable: '[ OK ]'

Additional info:
Tested Fedora-18-Beta-TC6-x86_64-DVD.iso using virt-manager
Comment 1 Volker Sobek 2012-10-22 06:59:18 EDT
Created attachment 631402 [details]
boot.log
Comment 2 Volker Sobek 2012-10-22 07:25:12 EDT
I should add that

# cat /var/log/boot.log

shows no errors here, I only see them during boot.
Comment 3 Michal Schmidt 2012-10-22 08:46:02 EDT
I saw this kind of temporary screen corruption too. Perhaps the terminal gets confused during the loading of the font. I does not seem to have any lasting bad effects.
Comment 4 Lennart Poettering 2012-10-23 09:19:23 EDT
systemd doesn't really do anything with screen output. It appears as if the fb/vt layer in the kernel causes this corruption if the font is loaded.

Reassigning to kernel.
Comment 5 Kamil Páral 2012-10-23 10:03:44 EDT
I see this only when booting Anaconda DVD/netinst composes, but I don't see this when booting a LiveCD or an installed system.
Comment 6 Justin M. Forbes 2013-03-14 16:26:30 EDT
Is this still happening with 3.8 kernels?
Comment 7 Kamil Páral 2013-03-15 05:40:38 EDT
Justin, there's no F19 DVD/netinst compose yet, but there should be TC1 out in a week or so. We can have a look then.
Comment 8 Josh Boyer 2013-04-16 10:23:49 EDT
Moving to F19 per the last comment.  If you're still seeing this there, please let us know.
Comment 9 Josh Boyer 2013-05-15 09:18:13 EDT
This bug is being closed with INSUFFICIENT_DATA as there has not been a response in 2 weeks. If you are still experiencing this issue, please reopen and attach the relevant data from the latest kernel you are running and any data that might have been requested previously.
Comment 10 Kamil Páral 2013-05-15 10:43:09 EDT
In a quick test I no longer see this problem with F19 Beta TC4 DVD x86_64.

Note You need to log in before you can comment on or make changes to this bug.